Index
All Classes and Interfaces|All Packages|Constant Field Values|Serialized Form
A
- adapter - Variable in class org.apache.hc.core5.testing.framework.ClientTestingAdapter
-
This adapter will perform the HTTP request and return the response in the expected format.
- addTest() - Method in class org.apache.hc.core5.testing.framework.TestingFramework
-
Call to add a test with defaults.
- addTest(Map<String, Object>) - Method in class org.apache.hc.core5.testing.framework.TestingFramework
-
Call to add a test.
- ALL_METHODS - Static variable in class org.apache.hc.core5.testing.framework.TestingFramework
-
Use the ALL_METHODS list to conveniently cycle through all HTTP methods.
- ALREADY_CHECKED - Static variable in class org.apache.hc.core5.testing.framework.TestingFramework
-
If an
ClassicTestClientTestingAdapteris unable to return a response in the format this testing framework is needing, then it will need to check the item in the response (such as body, status, headers, or contentType) itself and set the returned value of the item as ALREADY_CHECKED. - assertNothingThrown() - Method in class org.apache.hc.core5.testing.framework.TestingFrameworkRequestHandler
-
After the handler returns the response, any exception or failed assertion will be in the member called "thrown".
- assertRequestSupported(Map<String, Object>) - Method in class org.apache.hc.core5.testing.framework.ClientPOJOAdapter
-
Assert that the request is supported
- AsyncRequester - Class in org.apache.hc.core5.testing.nio
- AsyncRequester(IOReactorConfig) - Constructor for class org.apache.hc.core5.testing.nio.AsyncRequester
- AsyncServer - Class in org.apache.hc.core5.testing.nio
- AsyncServer(IOReactorConfig) - Constructor for class org.apache.hc.core5.testing.nio.AsyncServer
- awaitInput(Timeout) - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnection
- awaitShutdown(TimeValue) - Method in class org.apache.hc.core5.testing.nio.Http1TestClient
B
- BenchmarkConfig - Class in org.apache.hc.core5.benchmark
- BenchmarkConfig.Builder - Class in org.apache.hc.core5.benchmark
- bind(Socket) - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpClientConnection
- bind(Socket) - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnection
- bind(SSLSocket, Socket) - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpClientConnection
- bind(SSLSocket, Socket) - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnection
- bind(SocketHolder) - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnection
- BODY - Static variable in class org.apache.hc.core5.testing.framework.ClientPOJOAdapter
- build() - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig.Builder
- Builder() - Constructor for class org.apache.hc.core5.benchmark.BenchmarkConfig.Builder
C
- callAssertNothingThrown - Variable in class org.apache.hc.core5.testing.framework.ClientTestingAdapter
- channel() - Method in class org.apache.hc.core5.testing.nio.LoggingIOSession
- checkRequestSupport(Map<String, Object>) - Method in class org.apache.hc.core5.testing.framework.ClientPOJOAdapter
-
Check if a request is supported.
- ClassicTestClient - Class in org.apache.hc.core5.testing.classic
- ClassicTestClient() - Constructor for class org.apache.hc.core5.testing.classic.ClassicTestClient
- ClassicTestClient(SSLContext, SocketConfig) - Constructor for class org.apache.hc.core5.testing.classic.ClassicTestClient
- ClassicTestClient(SocketConfig) - Constructor for class org.apache.hc.core5.testing.classic.ClassicTestClient
- ClassicTestClientAdapter - Class in org.apache.hc.core5.testing.framework
- ClassicTestClientAdapter() - Constructor for class org.apache.hc.core5.testing.framework.ClassicTestClientAdapter
- ClassicTestClientTestingAdapter - Class in org.apache.hc.core5.testing.framework
- ClassicTestClientTestingAdapter() - Constructor for class org.apache.hc.core5.testing.framework.ClassicTestClientTestingAdapter
- ClassicTestServer - Class in org.apache.hc.core5.testing.classic
- ClassicTestServer() - Constructor for class org.apache.hc.core5.testing.classic.ClassicTestServer
- ClassicTestServer(SSLContext, SocketConfig) - Constructor for class org.apache.hc.core5.testing.classic.ClassicTestServer
- ClassicTestServer(SocketConfig) - Constructor for class org.apache.hc.core5.testing.classic.ClassicTestServer
- cleanupSocksProxyHandler(SocksProxy.SocksProxyHandler) - Method in class org.apache.hc.core5.testing.SocksProxy
-
Deprecated.
- clearEvent(int) - Method in class org.apache.hc.core5.testing.nio.LoggingIOSession
- ClientPOJOAdapter - Class in org.apache.hc.core5.testing.framework
-
This adapter expects a request to be made up of POJOs such as Maps and Lists.
- ClientPOJOAdapter() - Constructor for class org.apache.hc.core5.testing.framework.ClientPOJOAdapter
- ClientSessionEndpoint - Class in org.apache.hc.core5.testing.nio
-
Client endpoint that can be used to initiate HTTP message exchanges.
- ClientSessionEndpoint(IOSession) - Constructor for class org.apache.hc.core5.testing.nio.ClientSessionEndpoint
- ClientTestingAdapter - Class in org.apache.hc.core5.testing.framework
- ClientTestingAdapter() - Constructor for class org.apache.hc.core5.testing.framework.ClientTestingAdapter
- ClientTestingAdapter(ClientPOJOAdapter) - Constructor for class org.apache.hc.core5.testing.framework.ClientTestingAdapter
- close() - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpClientConnection
- close() - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnection
- close() - Method in class org.apache.hc.core5.testing.nio.ClientSessionEndpoint
- close() - Method in class org.apache.hc.core5.testing.nio.Http1TestClient
- close() - Method in class org.apache.hc.core5.testing.nio.LoggingIOSession
- close(CloseMode) - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpClientConnection
- close(CloseMode) - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnection
- close(CloseMode) - Method in class org.apache.hc.core5.testing.nio.ClientSessionEndpoint
- close(CloseMode) - Method in class org.apache.hc.core5.testing.nio.LoggingIOSession
- CommandLineUtils - Class in org.apache.hc.core5.benchmark
- configure(Decorator<HttpServerRequestHandler>) - Method in class org.apache.hc.core5.testing.classic.ClassicTestServer
- configure(Decorator<AsyncServerExchangeHandler>) - Method in class org.apache.hc.core5.testing.nio.H2TestServer
- configure(Decorator<AsyncServerExchangeHandler>) - Method in class org.apache.hc.core5.testing.nio.HttpTestServer
- configure(Http1Config) - Method in class org.apache.hc.core5.testing.classic.ClassicTestServer
- configure(Http1Config) - Method in class org.apache.hc.core5.testing.nio.H2TestClient
- configure(Http1Config) - Method in class org.apache.hc.core5.testing.nio.H2TestServer
- configure(Http1Config) - Method in class org.apache.hc.core5.testing.nio.Http1TestClient
- configure(Http1Config) - Method in class org.apache.hc.core5.testing.nio.Http1TestServer
- configure(NHttpMessageParserFactory<HttpRequest>) - Method in class org.apache.hc.core5.testing.nio.Http1TestServer
- configure(NHttpMessageParserFactory<HttpResponse>) - Method in class org.apache.hc.core5.testing.nio.Http1TestClient
- configure(NHttpMessageWriterFactory<HttpRequest>) - Method in class org.apache.hc.core5.testing.nio.Http1TestClient
- configure(NHttpMessageWriterFactory<HttpResponse>) - Method in class org.apache.hc.core5.testing.nio.Http1TestServer
- configure(HttpProcessor) - Method in class org.apache.hc.core5.testing.classic.ClassicTestClient
- configure(HttpProcessor) - Method in class org.apache.hc.core5.testing.classic.ClassicTestServer
- configure(HttpProcessor) - Method in class org.apache.hc.core5.testing.nio.H2TestServer
- configure(HttpProcessor) - Method in class org.apache.hc.core5.testing.nio.HttpTestClient
- configure(HttpProcessor) - Method in class org.apache.hc.core5.testing.nio.HttpTestServer
- configure(H2Config) - Method in class org.apache.hc.core5.testing.nio.H2TestClient
- configure(H2Config) - Method in class org.apache.hc.core5.testing.nio.H2TestServer
- connect(String, int, Timeout) - Method in class org.apache.hc.core5.testing.nio.HttpTestClient
- connect(HttpHost, Timeout) - Method in class org.apache.hc.core5.testing.nio.HttpTestClient
- connect(HttpHost, Timeout, FutureCallback<ClientSessionEndpoint>) - Method in class org.apache.hc.core5.testing.nio.HttpTestClient
- connect(NamedEndpoint, SocketAddress, SocketAddress, Timeout, Object, FutureCallback<IOSession>) - Method in class org.apache.hc.core5.testing.nio.AsyncRequester
- connected(IOSession) - Method in class org.apache.hc.core5.testing.nio.LoggingIOSessionListener
- consumeStream(Publisher<ByteBuffer>) - Static method in class org.apache.hc.core5.testing.reactive.Reactive3TestUtils
-
Consumes the given stream and returns a data structure containing its length and digest.
- CONTENT_TYPE - Static variable in class org.apache.hc.core5.testing.framework.ClientPOJOAdapter
- copy(BenchmarkConfig) - Static method in class org.apache.hc.core5.benchmark.BenchmarkConfig
- createConnection(Socket) - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpClientConnectionFactory
- createConnection(Socket) - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnectionFactory
- createConnection(SSLSocket, Socket) - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpClientConnectionFactory
- createConnection(SSLSocket, Socket) - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnectionFactory
- createContentInputStream(long, SessionInputBuffer, InputStream) - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnection
- createContentOutputStream(long, SessionOutputBuffer, OutputStream, Supplier<List<? extends Header>>) - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnection
- custom() - Static method in class org.apache.hc.core5.benchmark.BenchmarkConfig
D
- decorate(IOSession) - Method in class org.apache.hc.core5.testing.nio.LoggingIOSessionDecorator
- deepcopy(Object) - Static method in class org.apache.hc.core5.testing.framework.TestingFramework
-
Used to make a "deep" copy of an object.
- DEFAULT_REQUEST_BODY - Static variable in class org.apache.hc.core5.testing.framework.TestingFramework
-
If a test does not specify a body, this one is used.
- DEFAULT_REQUEST_CONTENT_TYPE - Static variable in class org.apache.hc.core5.testing.framework.TestingFramework
-
If a test does not specify a request contentType, this one is used.
- DEFAULT_REQUEST_HEADERS - Static variable in class org.apache.hc.core5.testing.framework.TestingFramework
-
If a test does not specify a request headers, these are used.
- DEFAULT_REQUEST_PATH - Static variable in class org.apache.hc.core5.testing.framework.TestingFramework
-
If a test does not specify a path, this one is used.
- DEFAULT_REQUEST_PROTOCOL_VERSION - Static variable in class org.apache.hc.core5.testing.framework.TestingFramework
-
If a test does not specify a protocol version, this one is used.
- DEFAULT_REQUEST_QUERY - Static variable in class org.apache.hc.core5.testing.framework.TestingFramework
-
If a test does not specify query parameters, these are used.
- DEFAULT_RESPONSE_BODY - Static variable in class org.apache.hc.core5.testing.framework.TestingFramework
-
If a test does not specify an expected response body, this one is used.
- DEFAULT_RESPONSE_CONTENT_TYPE - Static variable in class org.apache.hc.core5.testing.framework.TestingFramework
-
If a test does not specify an expected response contentType, this one is used.
- DEFAULT_RESPONSE_HEADERS - Static variable in class org.apache.hc.core5.testing.framework.TestingFramework
-
If a test does not specify expected response headers, these are used.
- DEFAULT_RESPONSE_STATUS - Static variable in class org.apache.hc.core5.testing.framework.TestingFramework
-
If a test does not specify an expected response status, this one is used.
- deleteTests() - Method in class org.apache.hc.core5.testing.framework.TestingFramework
-
Deletes all tests.
- desiredResponse - Variable in class org.apache.hc.core5.testing.framework.TestingFrameworkRequestHandler
- disconnected(IOSession) - Method in class org.apache.hc.core5.testing.nio.LoggingIOSessionListener
E
- enqueue(Command, Command.Priority) - Method in class org.apache.hc.core5.testing.nio.LoggingIOSession
- ensureOpen() - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnection
- exception(IOSession, Exception) - Method in class org.apache.hc.core5.testing.nio.LoggingIOSessionListener
- execute() - Method in class org.apache.hc.core5.benchmark.HttpBenchmark
- execute(Exception) - Method in class org.apache.hc.core5.testing.nio.LoggingExceptionCallback
- execute(String, Map<String, Object>) - Method in class org.apache.hc.core5.testing.framework.ClassicTestClientAdapter
-
Execute an HTTP request.
- execute(String, Map<String, Object>) - Method in class org.apache.hc.core5.testing.framework.ClientPOJOAdapter
-
Execute an HTTP request.
- execute(String, Map<String, Object>, TestingFrameworkRequestHandler, Map<String, Object>) - Method in class org.apache.hc.core5.testing.framework.ClientTestingAdapter
-
See the documentation for the same method in
ClientPOJOAdapter. - execute(HttpHost, ClassicHttpRequest, HttpContext) - Method in class org.apache.hc.core5.testing.classic.ClassicTestClient
- execute(AsyncClientExchangeHandler, HandlerFactory<AsyncPushConsumer>, HttpContext) - Method in class org.apache.hc.core5.testing.nio.ClientSessionEndpoint
- execute(AsyncClientExchangeHandler, HttpContext) - Method in class org.apache.hc.core5.testing.nio.ClientSessionEndpoint
- execute(AsyncRequestProducer, AsyncResponseConsumer<T>, FutureCallback<T>) - Method in class org.apache.hc.core5.testing.nio.ClientSessionEndpoint
- execute(AsyncRequestProducer, AsyncResponseConsumer<T>, HandlerFactory<AsyncPushConsumer>, HttpContext, FutureCallback<T>) - Method in class org.apache.hc.core5.testing.nio.ClientSessionEndpoint
- execute(AsyncRequestProducer, AsyncResponseConsumer<T>, HttpContext, FutureCallback<T>) - Method in class org.apache.hc.core5.testing.nio.ClientSessionEndpoint
- execute(Command, Command.Priority) - Method in class org.apache.hc.core5.testing.nio.ClientSessionEndpoint
- execute(IOEventHandlerFactory) - Method in class org.apache.hc.core5.testing.nio.Http1TestClient
F
- flush() - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnection
- FrameworkTest - Class in org.apache.hc.core5.testing.framework
- FrameworkTest() - Constructor for class org.apache.hc.core5.testing.framework.FrameworkTest
-
Constructs a test with default values.
- FrameworkTest(Map<String, Object>) - Constructor for class org.apache.hc.core5.testing.framework.FrameworkTest
-
Constructs a test with values that are passed in as well as defaults for values that are not passed in.
G
- getClientName() - Method in class org.apache.hc.core5.testing.framework.ClassicTestClientAdapter
-
Name of the HTTP Client that this adapter uses.
- getClientName() - Method in class org.apache.hc.core5.testing.framework.ClientPOJOAdapter
-
Name of the HTTP Client that this adapter uses.
- getClientPOJOAdapter() - Method in class org.apache.hc.core5.testing.framework.ClientTestingAdapter
-
Getter for the
ClientPOJOAdapterthat is actually used to make the HTTP request. - getConcurrencyLevel() - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig
- getConcurrencyLevel() - Method in class org.apache.hc.core5.benchmark.Results
- getContentLength() - Method in class org.apache.hc.core5.benchmark.Results
- getContentLength() - Method in class org.apache.hc.core5.benchmark.Stats
- getContentType() - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig
- getDocumentPath() - Method in class org.apache.hc.core5.benchmark.Results
- getEndpointDetails() - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnection
- getEndpoints() - Method in class org.apache.hc.core5.testing.nio.AsyncServer
- getEventMask() - Method in class org.apache.hc.core5.testing.nio.LoggingIOSession
- getFailureCount() - Method in class org.apache.hc.core5.benchmark.Results
- getFailureCount() - Method in class org.apache.hc.core5.benchmark.Stats
- getHandler() - Method in class org.apache.hc.core5.testing.nio.LoggingIOSession
- getHeaders() - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig
- getHostName() - Method in class org.apache.hc.core5.benchmark.Results
- getHostPort() - Method in class org.apache.hc.core5.benchmark.Results
- getId() - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpClientConnection
- getId() - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnection
- getId() - Method in class org.apache.hc.core5.testing.nio.LoggingIOSession
- getId(Object) - Static method in class org.apache.hc.core5.testing.classic.LoggingSupport
- getIdentityStorePassword() - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig
- getIdentityStorePath() - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig
- getInetAddress() - Method in class org.apache.hc.core5.testing.classic.ClassicTestServer
- getKeepAliveCount() - Method in class org.apache.hc.core5.benchmark.Results
- getKeepAliveCount() - Method in class org.apache.hc.core5.benchmark.Stats
- getLastEventTime() - Method in class org.apache.hc.core5.testing.nio.LoggingIOSession
- getLastReadTime() - Method in class org.apache.hc.core5.testing.nio.LoggingIOSession
- getLastWriteTime() - Method in class org.apache.hc.core5.testing.nio.LoggingIOSession
- getLocalAddress() - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnection
- getLocalAddress() - Method in class org.apache.hc.core5.testing.nio.LoggingIOSession
- getLock() - Method in class org.apache.hc.core5.testing.nio.LoggingIOSession
- getMessage() - Method in exception org.apache.hc.core5.testing.framework.TestingFrameworkException
- getMethod() - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig
- getOptions() - Static method in class org.apache.hc.core5.benchmark.CommandLineUtils
- getPayloadFile() - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig
- getPayloadText() - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig
- getPort() - Method in class org.apache.hc.core5.testing.classic.ClassicTestServer
- getProtocolVersion() - Method in class org.apache.hc.core5.benchmark.Results
- getProtocolVersion() - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnection
- getProxyAddress() - Method in class org.apache.hc.core5.testing.SocksProxy
-
Deprecated.
- getRemoteAddress() - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnection
- getRemoteAddress() - Method in class org.apache.hc.core5.testing.nio.LoggingIOSession
- getRequests() - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig
- getServerName() - Method in class org.apache.hc.core5.benchmark.Results
- getServerName() - Method in class org.apache.hc.core5.benchmark.Stats
- getSoapAction() - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig
- getSocketHolder() - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnection
- getSocketTimeout() - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig
- getSocketTimeout() - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnection
- getSocketTimeout() - Method in class org.apache.hc.core5.testing.nio.LoggingIOSession
- getSSLSession() - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnection
- getStatus() - Method in class org.apache.hc.core5.testing.nio.Http1TestClient
- getStatus() - Method in class org.apache.hc.core5.testing.nio.LoggingIOSession
- getStreamHash(long) - Static method in class org.apache.hc.core5.testing.reactive.Reactive3TestUtils
-
Computes the hash of the deterministic stream (as produced by
Reactive3TestUtils.produceStream(long)). - getSuccessCount() - Method in class org.apache.hc.core5.benchmark.Results
- getSuccessCount() - Method in class org.apache.hc.core5.benchmark.Stats
- getTimeLimit() - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig
- getTotalBytesRcvd() - Method in class org.apache.hc.core5.benchmark.Results
- getTotalBytesRecv() - Method in class org.apache.hc.core5.benchmark.Stats
- getTotalBytesSent() - Method in class org.apache.hc.core5.benchmark.Results
- getTotalBytesSent() - Method in class org.apache.hc.core5.benchmark.Stats
- getTotalContentBytesRecvd() - Method in class org.apache.hc.core5.benchmark.Results
- getTotalContentLength() - Method in class org.apache.hc.core5.benchmark.Stats
- getTotalTimeMillis() - Method in class org.apache.hc.core5.benchmark.Results
- getTrustStorePassword() - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig
- getTrustStorePath() - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig
- getUri() - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig
- getVerbosity() - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig
- getVersion() - Method in class org.apache.hc.core5.benchmark.Stats
H
- H2TestClient - Class in org.apache.hc.core5.testing.nio
- H2TestClient() - Constructor for class org.apache.hc.core5.testing.nio.H2TestClient
- H2TestClient(IOReactorConfig, SSLContext, SSLSessionInitializer, SSLSessionVerifier) - Constructor for class org.apache.hc.core5.testing.nio.H2TestClient
- H2TestServer - Class in org.apache.hc.core5.testing.nio
- H2TestServer() - Constructor for class org.apache.hc.core5.testing.nio.H2TestServer
- H2TestServer(IOReactorConfig, SSLContext, SSLSessionInitializer, SSLSessionVerifier) - Constructor for class org.apache.hc.core5.testing.nio.H2TestServer
- handle(ClassicHttpRequest, ClassicHttpResponse, HttpContext) - Method in class org.apache.hc.core5.testing.framework.TestingFrameworkRequestHandler
-
Checks the HTTP request against the requestExpectations that it was previously given.
- hasCommands() - Method in class org.apache.hc.core5.testing.nio.LoggingIOSession
- HEADERS - Static variable in class org.apache.hc.core5.testing.framework.ClientPOJOAdapter
- Http1TestClient - Class in org.apache.hc.core5.testing.nio
- Http1TestClient() - Constructor for class org.apache.hc.core5.testing.nio.Http1TestClient
- Http1TestClient(IOReactorConfig, SSLContext, SSLSessionInitializer, SSLSessionVerifier) - Constructor for class org.apache.hc.core5.testing.nio.Http1TestClient
- Http1TestServer - Class in org.apache.hc.core5.testing.nio
- Http1TestServer() - Constructor for class org.apache.hc.core5.testing.nio.Http1TestServer
- Http1TestServer(IOReactorConfig, SSLContext, SSLSessionInitializer, SSLSessionVerifier) - Constructor for class org.apache.hc.core5.testing.nio.Http1TestServer
- HttpBenchmark - Class in org.apache.hc.core5.benchmark
-
Main program of the HTTP benchmark.
- HttpBenchmark(BenchmarkConfig) - Constructor for class org.apache.hc.core5.benchmark.HttpBenchmark
- HttpTestClient - Class in org.apache.hc.core5.testing.nio
- HttpTestClient() - Constructor for class org.apache.hc.core5.testing.nio.HttpTestClient
- HttpTestClient(IOReactorConfig, SSLContext, SSLSessionInitializer, SSLSessionVerifier) - Constructor for class org.apache.hc.core5.testing.nio.HttpTestClient
- HttpTestServer - Class in org.apache.hc.core5.testing.nio
- HttpTestServer() - Constructor for class org.apache.hc.core5.testing.nio.HttpTestServer
- HttpTestServer(IOReactorConfig, SSLContext, SSLSessionInitializer, SSLSessionVerifier) - Constructor for class org.apache.hc.core5.testing.nio.HttpTestServer
I
- incFailureCount() - Method in class org.apache.hc.core5.benchmark.Stats
- incKeepAliveCount() - Method in class org.apache.hc.core5.benchmark.Stats
- incrementRequestCount() - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnection
- incrementResponseCount() - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnection
- incSuccessCount() - Method in class org.apache.hc.core5.benchmark.Stats
- incTotalBytesRecv(int) - Method in class org.apache.hc.core5.benchmark.Stats
- incTotalBytesSent(int) - Method in class org.apache.hc.core5.benchmark.Stats
- incTotalContentLength(long) - Method in class org.apache.hc.core5.benchmark.Stats
- initiateShutdown() - Method in class org.apache.hc.core5.testing.nio.Http1TestClient
- initRequest() - Method in class org.apache.hc.core5.testing.framework.FrameworkTest
-
Returns a request with defaults for any parameter that is not specified.
- initResponseExpectations() - Method in class org.apache.hc.core5.testing.framework.FrameworkTest
-
Returns an expected response with defaults for any parameter that is not specified.
- input(byte[]) - Method in class org.apache.hc.core5.testing.classic.Wire
- input(byte[], int, int) - Method in class org.apache.hc.core5.testing.classic.Wire
- input(int) - Method in class org.apache.hc.core5.testing.classic.Wire
- input(ByteBuffer) - Method in class org.apache.hc.core5.testing.classic.Wire
- inputReady(IOSession) - Method in class org.apache.hc.core5.testing.nio.LoggingIOSessionListener
- INSTANCE - Static variable in class org.apache.hc.core5.testing.classic.LoggingBHttpClientConnectionFactory
- INSTANCE - Static variable in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnectionFactory
- INSTANCE - Static variable in class org.apache.hc.core5.testing.classic.LoggingConnPoolListener
- INSTANCE - Static variable in class org.apache.hc.core5.testing.classic.LoggingExceptionListener
- INSTANCE - Static variable in class org.apache.hc.core5.testing.classic.LoggingHttp1StreamListener
- INSTANCE - Static variable in class org.apache.hc.core5.testing.nio.LoggingExceptionCallback
- INSTANCE - Static variable in class org.apache.hc.core5.testing.nio.LoggingH2StreamListener
- INSTANCE - Static variable in class org.apache.hc.core5.testing.nio.LoggingIOSessionDecorator
- INSTANCE - Static variable in class org.apache.hc.core5.testing.nio.LoggingIOSessionListener
- INSTANCE - Static variable in class org.apache.hc.core5.testing.nio.LoggingReactorMetricsListener
- INSTANCE_CLIENT - Static variable in class org.apache.hc.core5.testing.nio.LoggingHttp1StreamListener
- INSTANCE_SERVER - Static variable in class org.apache.hc.core5.testing.nio.LoggingHttp1StreamListener
- isDataAvailable(Timeout) - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnection
- isDisableSSLVerification() - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig
- isEnabled() - Method in class org.apache.hc.core5.testing.classic.Wire
- isForceHttp2() - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig
- isHeadInsteadOfGet() - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig
- isKeepAlive() - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig
- isOpen() - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnection
- isOpen() - Method in class org.apache.hc.core5.testing.nio.ClientSessionEndpoint
- isOpen() - Method in class org.apache.hc.core5.testing.nio.LoggingIOSession
- isRequestSupported(Map<String, Object>) - Method in class org.apache.hc.core5.testing.framework.ClientTestingAdapter
-
See the documentation for the same method in
ClientPOJOAdapter. - isStale() - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnection
- isUseAcceptGZip() - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig
- isUseChunking() - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig
- isUseExpectContinue() - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig
L
- length - Variable in class org.apache.hc.core5.testing.reactive.Reactive3TestUtils.StreamDescription
- listen(InetSocketAddress) - Method in class org.apache.hc.core5.testing.nio.AsyncServer
- LoggingBHttpClientConnection - Class in org.apache.hc.core5.testing.classic
- LoggingBHttpClientConnection(Http1Config) - Constructor for class org.apache.hc.core5.testing.classic.LoggingBHttpClientConnection
- LoggingBHttpClientConnection(Http1Config, CharsetDecoder, CharsetEncoder, ContentLengthStrategy, ContentLengthStrategy, HttpMessageWriterFactory<ClassicHttpRequest>, HttpMessageParserFactory<ClassicHttpResponse>) - Constructor for class org.apache.hc.core5.testing.classic.LoggingBHttpClientConnection
- LoggingBHttpClientConnectionFactory - Class in org.apache.hc.core5.testing.classic
- LoggingBHttpClientConnectionFactory() - Constructor for class org.apache.hc.core5.testing.classic.LoggingBHttpClientConnectionFactory
- LoggingBHttpClientConnectionFactory(Http1Config, CharCodingConfig) - Constructor for class org.apache.hc.core5.testing.classic.LoggingBHttpClientConnectionFactory
- LoggingBHttpClientConnectionFactory(Http1Config, CharCodingConfig, ContentLengthStrategy, ContentLengthStrategy, HttpMessageWriterFactory<ClassicHttpRequest>, HttpMessageParserFactory<ClassicHttpResponse>) - Constructor for class org.apache.hc.core5.testing.classic.LoggingBHttpClientConnectionFactory
- LoggingBHttpClientConnectionFactory(Http1Config, CharCodingConfig, HttpMessageWriterFactory<ClassicHttpRequest>, HttpMessageParserFactory<ClassicHttpResponse>) - Constructor for class org.apache.hc.core5.testing.classic.LoggingBHttpClientConnectionFactory
- LoggingBHttpServerConnection - Class in org.apache.hc.core5.testing.classic
- LoggingBHttpServerConnection(String, Http1Config) - Constructor for class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnection
- LoggingBHttpServerConnection(String, Http1Config, CharsetDecoder, CharsetEncoder, ContentLengthStrategy, ContentLengthStrategy, HttpMessageParserFactory<ClassicHttpRequest>, HttpMessageWriterFactory<ClassicHttpResponse>) - Constructor for class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnection
- LoggingBHttpServerConnectionFactory - Class in org.apache.hc.core5.testing.classic
- LoggingBHttpServerConnectionFactory() - Constructor for class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnectionFactory
- LoggingBHttpServerConnectionFactory(String, Http1Config, CharCodingConfig) - Constructor for class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnectionFactory
- LoggingBHttpServerConnectionFactory(String, Http1Config, CharCodingConfig, ContentLengthStrategy, ContentLengthStrategy, HttpMessageParserFactory<ClassicHttpRequest>, HttpMessageWriterFactory<ClassicHttpResponse>) - Constructor for class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnectionFactory
- LoggingBHttpServerConnectionFactory(String, Http1Config, CharCodingConfig, HttpMessageParserFactory<ClassicHttpRequest>, HttpMessageWriterFactory<ClassicHttpResponse>) - Constructor for class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnectionFactory
- LoggingConnPoolListener - Class in org.apache.hc.core5.testing.classic
- LoggingExceptionCallback - Class in org.apache.hc.core5.testing.nio
- LoggingExceptionListener - Class in org.apache.hc.core5.testing.classic
- LoggingExceptionListener() - Constructor for class org.apache.hc.core5.testing.classic.LoggingExceptionListener
- LoggingH2StreamListener - Class in org.apache.hc.core5.testing.nio
- LoggingHttp1StreamListener - Class in org.apache.hc.core5.testing.classic
- LoggingHttp1StreamListener - Class in org.apache.hc.core5.testing.nio
- LoggingHttp1StreamListener() - Constructor for class org.apache.hc.core5.testing.classic.LoggingHttp1StreamListener
- LoggingIOSession - Class in org.apache.hc.core5.testing.nio
- LoggingIOSession(IOSession, Logger, Logger) - Constructor for class org.apache.hc.core5.testing.nio.LoggingIOSession
- LoggingIOSession(ProtocolIOSession, Logger) - Constructor for class org.apache.hc.core5.testing.nio.LoggingIOSession
- LoggingIOSessionDecorator - Class in org.apache.hc.core5.testing.nio
- LoggingIOSessionListener - Class in org.apache.hc.core5.testing.nio
- LoggingIOSessionListener() - Constructor for class org.apache.hc.core5.testing.nio.LoggingIOSessionListener
- LoggingReactorMetricsListener - Class in org.apache.hc.core5.testing.nio
- LoggingReactorMetricsListener() - Constructor for class org.apache.hc.core5.testing.nio.LoggingReactorMetricsListener
- LoggingSupport - Class in org.apache.hc.core5.testing.classic
- LoggingSupport() - Constructor for class org.apache.hc.core5.testing.classic.LoggingSupport
M
- main(String[]) - Static method in class org.apache.hc.core5.benchmark.HttpBenchmark
- md - Variable in class org.apache.hc.core5.testing.reactive.Reactive3TestUtils.StreamDescription
- METHOD - Static variable in class org.apache.hc.core5.testing.framework.ClientPOJOAdapter
- modifyRequest(Map<String, Object>) - Method in class org.apache.hc.core5.testing.framework.ClientPOJOAdapter
-
Modify the request.
- modifyRequest(Map<String, Object>) - Method in class org.apache.hc.core5.testing.framework.ClientTestingAdapter
-
See the documentation for the same method in
ClientPOJOAdapter. - modifyResponseExpectations(Map<String, Object>, Map<String, Object>) - Method in class org.apache.hc.core5.testing.framework.ClientTestingAdapter
-
Generally a test's response expectations should not need to be modified, but if a particular HTTP client (such as Groovy's RESTClient which uses HttpClient) needs to modify the response expectations, it should do so here.
N
- NAME - Static variable in class org.apache.hc.core5.testing.framework.ClientPOJOAdapter
- NO_HTTP_CLIENT - Static variable in exception org.apache.hc.core5.testing.framework.TestingFrameworkException
O
- onError(Exception) - Method in class org.apache.hc.core5.testing.classic.LoggingExceptionListener
- onError(HttpConnection, Exception) - Method in class org.apache.hc.core5.testing.classic.LoggingExceptionListener
- onExchangeComplete(HttpConnection, boolean) - Method in class org.apache.hc.core5.testing.classic.LoggingHttp1StreamListener
- onExchangeComplete(HttpConnection, boolean) - Method in class org.apache.hc.core5.testing.nio.LoggingHttp1StreamListener
- onFrameInput(HttpConnection, int, RawFrame) - Method in class org.apache.hc.core5.testing.nio.LoggingH2StreamListener
- onFrameOutput(HttpConnection, int, RawFrame) - Method in class org.apache.hc.core5.testing.nio.LoggingH2StreamListener
- onHeaderInput(HttpConnection, int, List<? extends Header>) - Method in class org.apache.hc.core5.testing.nio.LoggingH2StreamListener
- onHeaderOutput(HttpConnection, int, List<? extends Header>) - Method in class org.apache.hc.core5.testing.nio.LoggingH2StreamListener
- onInputFlowControl(HttpConnection, int, int, int) - Method in class org.apache.hc.core5.testing.nio.LoggingH2StreamListener
- onLease(HttpHost, ConnPoolStats<HttpHost>) - Method in class org.apache.hc.core5.testing.classic.LoggingConnPoolListener
- onOutputFlowControl(HttpConnection, int, int, int) - Method in class org.apache.hc.core5.testing.nio.LoggingH2StreamListener
- onQueueWaitTime(long) - Method in class org.apache.hc.core5.testing.nio.LoggingReactorMetricsListener
- onRelease(HttpHost, ConnPoolStats<HttpHost>) - Method in class org.apache.hc.core5.testing.classic.LoggingConnPoolListener
- onRequestHead(HttpConnection, HttpRequest) - Method in class org.apache.hc.core5.testing.classic.LoggingHttp1StreamListener
- onRequestHead(HttpConnection, HttpRequest) - Method in class org.apache.hc.core5.testing.nio.LoggingHttp1StreamListener
- onRequestReceived(ClassicHttpRequest) - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnection
- onRequestSubmitted(ClassicHttpRequest) - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpClientConnection
- onResourceStarvationDetected() - Method in class org.apache.hc.core5.testing.nio.LoggingReactorMetricsListener
- onResponseHead(HttpConnection, HttpResponse) - Method in class org.apache.hc.core5.testing.classic.LoggingHttp1StreamListener
- onResponseHead(HttpConnection, HttpResponse) - Method in class org.apache.hc.core5.testing.nio.LoggingHttp1StreamListener
- onResponseReceived(ClassicHttpResponse) - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpClientConnection
- onResponseSubmitted(ClassicHttpResponse) - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnection
- onThreadPoolSaturation(double) - Method in class org.apache.hc.core5.testing.nio.LoggingReactorMetricsListener
- onThreadPoolStatus(int, int) - Method in class org.apache.hc.core5.testing.nio.LoggingReactorMetricsListener
- org.apache.hc.core5.benchmark - package org.apache.hc.core5.benchmark
-
Apache Bench (AB) clone based on HttpCore.
- org.apache.hc.core5.testing - package org.apache.hc.core5.testing
- org.apache.hc.core5.testing.classic - package org.apache.hc.core5.testing.classic
- org.apache.hc.core5.testing.framework - package org.apache.hc.core5.testing.framework
- org.apache.hc.core5.testing.nio - package org.apache.hc.core5.testing.nio
- org.apache.hc.core5.testing.reactive - package org.apache.hc.core5.testing.reactive
- output(byte[]) - Method in class org.apache.hc.core5.testing.classic.Wire
- output(byte[], int, int) - Method in class org.apache.hc.core5.testing.classic.Wire
- output(int) - Method in class org.apache.hc.core5.testing.classic.Wire
- output(ByteBuffer) - Method in class org.apache.hc.core5.testing.classic.Wire
- outputReady(IOSession) - Method in class org.apache.hc.core5.testing.nio.LoggingIOSessionListener
P
- parseCommandLine(CommandLine) - Static method in class org.apache.hc.core5.benchmark.CommandLineUtils
- PATH - Static variable in class org.apache.hc.core5.testing.framework.ClientPOJOAdapter
- poll() - Method in class org.apache.hc.core5.testing.nio.LoggingIOSession
- print(PrintStream, Results) - Static method in class org.apache.hc.core5.benchmark.ResultFormatter
- processRequest(HttpRequest, EntityDetails, ResponseChannel, HttpContext, Publisher<ByteBuffer>, Callback<Publisher<ByteBuffer>>) - Method in class org.apache.hc.core5.testing.reactive.ReactiveEchoProcessor
- processRequest(HttpRequest, EntityDetails, ResponseChannel, HttpContext, Publisher<ByteBuffer>, Callback<Publisher<ByteBuffer>>) - Method in class org.apache.hc.core5.testing.reactive.ReactiveRandomProcessor
- produceStream(long) - Static method in class org.apache.hc.core5.testing.reactive.Reactive3TestUtils
-
Produces a deterministic stream of bytes, in randomly sized chunks of up to 128kB.
- produceStream(long, int, AtomicReference<String>) - Static method in class org.apache.hc.core5.testing.reactive.Reactive3TestUtils
-
Produces a deterministic stream of bytes, in randomly sized chunks, while computing the hash of the random data.
- produceStream(long, AtomicReference<String>) - Static method in class org.apache.hc.core5.testing.reactive.Reactive3TestUtils
-
Produces a deterministic stream of bytes, in randomly sized chunks of up to 128kB, while computing the hash of the random data.
- PROTOCOL_VERSION - Static variable in class org.apache.hc.core5.testing.framework.ClientPOJOAdapter
Q
- QUERY - Static variable in class org.apache.hc.core5.testing.framework.ClientPOJOAdapter
R
- Reactive3TestUtils - Class in org.apache.hc.core5.testing.reactive
- Reactive3TestUtils() - Constructor for class org.apache.hc.core5.testing.reactive.Reactive3TestUtils
- Reactive3TestUtils.StreamDescription - Class in org.apache.hc.core5.testing.reactive
- ReactiveEchoProcessor - Class in org.apache.hc.core5.testing.reactive
- ReactiveEchoProcessor() - Constructor for class org.apache.hc.core5.testing.reactive.ReactiveEchoProcessor
- ReactiveRandomProcessor - Class in org.apache.hc.core5.testing.reactive
- ReactiveRandomProcessor() - Constructor for class org.apache.hc.core5.testing.reactive.ReactiveRandomProcessor
- read(ByteBuffer) - Method in class org.apache.hc.core5.testing.nio.LoggingIOSession
- register(String, String, HttpRequestHandler) - Method in class org.apache.hc.core5.testing.classic.ClassicTestServer
- register(String, Supplier<AsyncPushConsumer>) - Method in class org.apache.hc.core5.testing.nio.H2TestClient
- register(String, Supplier<AsyncServerExchangeHandler>) - Method in class org.apache.hc.core5.testing.nio.HttpTestServer
- register(String, HttpRequestHandler) - Method in class org.apache.hc.core5.testing.classic.ClassicTestServer
- register(String, AsyncServerRequestHandler<T>) - Method in class org.apache.hc.core5.testing.nio.HttpTestServer
- registerHandler(String, HttpRequestHandler) - Method in class org.apache.hc.core5.testing.classic.ClassicTestServer
-
Deprecated.
- registerHandlerVirtual(String, String, HttpRequestHandler) - Method in class org.apache.hc.core5.testing.classic.ClassicTestServer
-
Deprecated.
- REQUEST - Static variable in class org.apache.hc.core5.testing.framework.ClientPOJOAdapter
- requestExpectations - Variable in class org.apache.hc.core5.testing.framework.TestingFrameworkRequestHandler
- requestSession(HttpHost, Timeout, FutureCallback<IOSession>) - Method in class org.apache.hc.core5.testing.nio.AsyncRequester
- RESPONSE - Static variable in class org.apache.hc.core5.testing.framework.ClientPOJOAdapter
- ResultFormatter - Class in org.apache.hc.core5.benchmark
- Results - Class in org.apache.hc.core5.benchmark
-
Benchmark results
- Results(String, ProtocolVersion, String, int, String, long, int, long, long, long, long, long, long, long) - Constructor for class org.apache.hc.core5.benchmark.Results
- runTests() - Method in class org.apache.hc.core5.testing.framework.TestingFramework
-
Run the tests that have been previously added.
S
- setAdapter(ClientTestingAdapter) - Method in class org.apache.hc.core5.testing.framework.TestingFramework
-
Sets the
ClientTestingAdapter. - setAdapter(ClientTestingAdapter) - Method in exception org.apache.hc.core5.testing.framework.TestingFrameworkException
- setConcurrencyLevel(int) - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig.Builder
- setContentLength(long) - Method in class org.apache.hc.core5.benchmark.Stats
- setContentType(ContentType) - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig.Builder
- setDesiredResponse(Map<String, Object>) - Method in class org.apache.hc.core5.testing.framework.TestingFrameworkRequestHandler
-
Sets the desired response.
- setDisableSSLVerification(boolean) - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig.Builder
- setEvent(int) - Method in class org.apache.hc.core5.testing.nio.LoggingIOSession
- setEventMask(int) - Method in class org.apache.hc.core5.testing.nio.LoggingIOSession
- setForceHttp2(boolean) - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig.Builder
- setHeaders(String[]) - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig.Builder
- setHeadInsteadOfGet(boolean) - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig.Builder
- setIdentityStorePassword(String) - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig.Builder
- setIdentityStorePath(String) - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig.Builder
- setKeepAlive(boolean) - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig.Builder
- setMethod(String) - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig.Builder
- setPayloadFile(File) - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig.Builder
- setPayloadText(String) - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig.Builder
- setRequestExpectations(Map<String, Object>) - Method in class org.apache.hc.core5.testing.framework.TestingFrameworkRequestHandler
-
Sets the request expectations.
- setRequestHandler(TestingFrameworkRequestHandler) - Method in class org.apache.hc.core5.testing.framework.TestingFramework
-
This is not likely to be used except during the testing of this class.
- setRequests(int) - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig.Builder
- setServerName(String) - Method in class org.apache.hc.core5.benchmark.Stats
- setSoapAction(String) - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig.Builder
- setSocketTimeout(Timeout) - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig.Builder
- setSocketTimeout(Timeout) - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnection
- setSocketTimeout(Timeout) - Method in class org.apache.hc.core5.testing.nio.LoggingIOSession
- setTest(FrameworkTest) - Method in exception org.apache.hc.core5.testing.framework.TestingFrameworkException
- setTimeLimit(TimeValue) - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig.Builder
- setTrustStorePassword(String) - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig.Builder
- setTrustStorePath(String) - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig.Builder
- setUri(URI) - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig.Builder
- setUseAcceptGZip(boolean) - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig.Builder
- setUseChunking(boolean) - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig.Builder
- setUseExpectContinue(boolean) - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig.Builder
- setVerbosity(int) - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig.Builder
- setVersion(ProtocolVersion) - Method in class org.apache.hc.core5.benchmark.Stats
- shutdown(CloseMode) - Method in class org.apache.hc.core5.testing.classic.ClassicTestClient
- shutdown(CloseMode) - Method in class org.apache.hc.core5.testing.classic.ClassicTestServer
- shutdown(TimeValue) - Method in class org.apache.hc.core5.testing.nio.Http1TestClient
- shutdown(TimeValue) - Method in class org.apache.hc.core5.testing.SocksProxy
-
Deprecated.
- SocksProxy - Class in org.apache.hc.core5.testing
-
Deprecated.Do not use.
- SocksProxy() - Constructor for class org.apache.hc.core5.testing.SocksProxy
-
Deprecated.
- SocksProxy(int) - Constructor for class org.apache.hc.core5.testing.SocksProxy
-
Deprecated.
- start() - Method in class org.apache.hc.core5.testing.classic.ClassicTestClient
- start() - Method in class org.apache.hc.core5.testing.classic.ClassicTestServer
- start() - Method in class org.apache.hc.core5.testing.nio.H2TestClient
- start() - Method in class org.apache.hc.core5.testing.nio.H2TestServer
- start() - Method in class org.apache.hc.core5.testing.nio.Http1TestClient
- start() - Method in class org.apache.hc.core5.testing.nio.Http1TestServer
- start() - Method in class org.apache.hc.core5.testing.nio.HttpTestClient
- start() - Method in class org.apache.hc.core5.testing.nio.HttpTestServer
- start() - Method in class org.apache.hc.core5.testing.SocksProxy
-
Deprecated.
- start(Http1Config) - Method in class org.apache.hc.core5.testing.nio.H2TestClient
-
Deprecated.
- start(Http1Config) - Method in class org.apache.hc.core5.testing.nio.H2TestServer
-
Deprecated.
- start(Http1Config) - Method in class org.apache.hc.core5.testing.nio.Http1TestClient
-
Deprecated.
- start(Http1Config, HttpProcessor, Decorator<HttpServerRequestHandler>) - Method in class org.apache.hc.core5.testing.classic.ClassicTestServer
- start(HttpProcessor) - Method in class org.apache.hc.core5.testing.classic.ClassicTestClient
-
Deprecated.
- start(HttpProcessor, Decorator<AsyncServerExchangeHandler>, Http1Config) - Method in class org.apache.hc.core5.testing.nio.H2TestServer
- start(HttpProcessor, Decorator<AsyncServerExchangeHandler>, Http1Config) - Method in class org.apache.hc.core5.testing.nio.Http1TestServer
- start(HttpProcessor, Decorator<AsyncServerExchangeHandler>, H2Config) - Method in class org.apache.hc.core5.testing.nio.H2TestServer
- start(HttpProcessor, Http1Config) - Method in class org.apache.hc.core5.testing.nio.H2TestClient
- start(HttpProcessor, Http1Config) - Method in class org.apache.hc.core5.testing.nio.H2TestServer
- start(HttpProcessor, Http1Config) - Method in class org.apache.hc.core5.testing.nio.Http1TestClient
- start(HttpProcessor, Http1Config) - Method in class org.apache.hc.core5.testing.nio.Http1TestServer
- start(HttpProcessor, H2Config) - Method in class org.apache.hc.core5.testing.nio.H2TestClient
- start(H2Config) - Method in class org.apache.hc.core5.testing.nio.H2TestClient
-
Deprecated.
- start(H2Config) - Method in class org.apache.hc.core5.testing.nio.H2TestServer
-
Deprecated.
- start(IOEventHandlerFactory) - Method in class org.apache.hc.core5.testing.nio.H2TestClient
-
Deprecated.
- start(IOEventHandlerFactory) - Method in class org.apache.hc.core5.testing.nio.H2TestServer
-
Deprecated.
- start(IOEventHandlerFactory) - Method in class org.apache.hc.core5.testing.nio.Http1TestServer
-
Deprecated.
- startExecution(IOEventHandlerFactory) - Method in class org.apache.hc.core5.testing.nio.HttpTestClient
- startExecution(IOEventHandlerFactory) - Method in class org.apache.hc.core5.testing.nio.HttpTestServer
- startSocksProxyHandler(Socket) - Method in class org.apache.hc.core5.testing.SocksProxy
-
Deprecated.
- startTls(IOSession) - Method in class org.apache.hc.core5.testing.nio.LoggingIOSessionListener
- Stats - Class in org.apache.hc.core5.benchmark
-
Statistics for an
HttpBenchmark. - Stats() - Constructor for class org.apache.hc.core5.benchmark.Stats
- STATUS - Static variable in class org.apache.hc.core5.testing.framework.ClientPOJOAdapter
- StreamDescription(long, MessageDigest) - Constructor for class org.apache.hc.core5.testing.reactive.Reactive3TestUtils.StreamDescription
T
- TestingFramework - Class in org.apache.hc.core5.testing.framework
- TestingFramework() - Constructor for class org.apache.hc.core5.testing.framework.TestingFramework
- TestingFramework(ClientTestingAdapter) - Constructor for class org.apache.hc.core5.testing.framework.TestingFramework
- TestingFrameworkException - Exception in org.apache.hc.core5.testing.framework
- TestingFrameworkException(String) - Constructor for exception org.apache.hc.core5.testing.framework.TestingFrameworkException
-
Creates a WebServerTestingFrameworkException with the specified detail message.
- TestingFrameworkException(Throwable) - Constructor for exception org.apache.hc.core5.testing.framework.TestingFrameworkException
- TestingFrameworkRequestHandler - Class in org.apache.hc.core5.testing.framework
- TestingFrameworkRequestHandler() - Constructor for class org.apache.hc.core5.testing.framework.TestingFrameworkRequestHandler
- thrown - Variable in class org.apache.hc.core5.testing.framework.TestingFrameworkRequestHandler
- timeout(IOSession) - Method in class org.apache.hc.core5.testing.nio.LoggingIOSessionListener
- TIMEOUT - Static variable in class org.apache.hc.core5.testing.framework.ClientPOJOAdapter
- toString() - Method in class org.apache.hc.core5.benchmark.BenchmarkConfig
- toString() - Method in class org.apache.hc.core5.benchmark.Results
- toString() - Method in class org.apache.hc.core5.benchmark.Stats
- toString() - Method in class org.apache.hc.core5.testing.classic.LoggingBHttpServerConnection
- toString() - Method in class org.apache.hc.core5.testing.framework.FrameworkTest
- toString() - Method in class org.apache.hc.core5.testing.nio.ClientSessionEndpoint
- toString() - Method in class org.apache.hc.core5.testing.nio.LoggingIOSession
U
- updateReadTime() - Method in class org.apache.hc.core5.testing.nio.LoggingIOSession
- updateWriteTime() - Method in class org.apache.hc.core5.testing.nio.LoggingIOSession
- upgrade(IOEventHandler) - Method in class org.apache.hc.core5.testing.nio.LoggingIOSession
W
- Wire - Class in org.apache.hc.core5.testing.classic
- Wire(Logger, String) - Constructor for class org.apache.hc.core5.testing.classic.Wire
- write(ByteBuffer) - Method in class org.apache.hc.core5.testing.nio.LoggingIOSession
All Classes and Interfaces|All Packages|Constant Field Values|Serialized Form
ClassicTestServer.register(String, HttpRequestHandler).